<?php

namespace App\Http\Controllers\Admin;

use App\Auth;
use App\User;
use App\Http\Controllers\Core\AdminController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;

class UserController extends AdminController
{    

    public function __construct()
    {
    }

    
    public function index(Request $request)
    {
        if (!$this->authenticate($request)) {
            return redirect()->action('HomeController@login');
        }
        
        $userList = User::get();

        return view('admin.user.index', [
            'userList' => $userList
        ]);
    }
    
    public function view(Request $request, $id)
    {
        if (!$this->authenticate($request)) {
            return redirect()->action('HomeController@login');
        }

        $user = User::where('id', '=', $id)->first();
        
        return view('admin.user.view', [
            'user' => $user
        ]);
    }
    
    public function markApproved(Request $request, $id)
    {
		//todo kasih otorisasi user khusus petugas
		$this->permohonanService->setStatus($id, Permohonan::STATUS_APPROVED);
		return Redirect::to('/pencatat');
	}
	
	public function markNotCompleted(Request $request, $id)
	{
		//todo kasih otorisasi user khusus petugas
		$this->permohonanService->setStatus($id, Permohonan::STATUS_NOT_COMPLETED);
		return Redirect::to('/pencatat');
	}
}
