<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Core\GuestController;
use App\Http\Requests;
use App\Services\UserService;
use App\User;
use Illuminate\Http\Request;

class HomeController extends GuestController
{
    private $userService;

    public function __construct(Request $request)
    {
        $this->userService = new UserService();
    }

    public function index(Request $request)
    {
        $this->authenticate($request);
        return redirect('/');
    }
    
    public function postRegister(Request $request)
    {
        $this->authenticate($request);

        $email = $request->input('email');
        $password = $request->input('password');
        
        User::create([
            'email' => $email,
            'password' => md5($password)
        ]);
        
        return redirect()->action('Auth\AuthController@login');
    }

    public function login(Request $request)
    {
        $this->authenticate($request);

        return view('auth.login');
    }

    public function postLogin(Request $request)
    {
        $this->authenticate($request);

        $email = $request->input('email');
        $password = $request->input('password');
        
        $user = $this->userService->validate($email, $password);
        if ($user) {
            $request->session()->put('user.id', $user->id);
            $request->session()->put('user.email', $user->email);
            $request->session()->put('user.role', $user->role);

            if ($user->role == User::ROLE_USER) {
                return redirect()->action('PermohonanController@index');
            } else if ($user->role == User::ROLE_PENCATAT) {
                return redirect()->action('Pencatat\PermohonanController@index');
            } else if ($user->role == User::ROLE_ADMIN) {

            }
        } else {
            return redirect()->action('Auth\AuthController@login');
        }
    }
}
