<?php

namespace App\Http\Controllers\Pencatat;

use App\Auth;
use App\Http\Controllers\Core\PencatatController;
use App\Models\Permohonan;
use Illuminate\Http\Request;
use App\Services\PermohonanService;
use Illuminate\Support\Facades\Redirect;

class PermohonanController extends PencatatController
{    
	private $permohonanService;

    public function __construct()
    {
        $this->permohonanService = new PermohonanService();
    }

    
    public function index(Request $request)
    {
        if (!$this->authenticate($request)) {
            return redirect()->action('HomeController@login');
        }

        $permohonanList = Permohonan::where('status', '=', Permohonan::STATUS_PENDING)
                                    ->get();

        return view('pencatat.permohonan.index', [
            'permohonanList' => $permohonanList
        ]);
    }
    
    public function view(Request $request, $id)
    {
        if (!$this->authenticate($request)) {
            return redirect()->action('HomeController@login');
        }

        $permohonan = Permohonan::where('id', '=', $id)->first();
        
        return view('pencatat.permohonan.view', [
            'permohonan' => $permohonan
        ]);
    }
    
    public function markApproved(Request $request, $id)
    {
		//todo kasih otorisasi user khusus petugas
		$this->permohonanService->setStatus($id, Permohonan::STATUS_APPROVED);
		return Redirect::to('/pencatat');
	}
	
	public function markNotCompleted(Request $request, $id)
	{
		//todo kasih otorisasi user khusus petugas
		$this->permohonanService->setStatus($id, Permohonan::STATUS_NOT_COMPLETED);
		return Redirect::to('/pencatat');
	}
}
