<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\AuditingTrait;

class Permohonan extends Model
{

	use AuditingTrait;
	
    const STATUS_NOT_COMPLETED = 0;
    const STATUS_PENDING = 1;
    const STATUS_APPROVED = 2;

    const STATUS_BELUM_PERNAH_MENIKAH = 0;
    const STATUS_PERNAH_MENIKAH = 1;
    
    const SURAT_RT_DIR = "upload/rt/";
    const SURAT_RW_DIR = "upload/rw/";

    public static $STATUS_STRING = [
        "Belum pernah menikah",
        "Pernah menikah"
    ];
    
    protected $table = "permohonan";
    
    public $timestamps = false;

    protected $fillable = [
        'noKtpPria',
        'namaPria',
        'noKtpWanita',
        'namaWanita',
        'statusPria',
        'istriPriaSebelumnya',
        'statusWanita',
        'suamiWanitaSebelumnya'
    ];
    
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    
    public function getSuratRtUrl()
    {
        return "/" . self::SURAT_RT_DIR . $this->id;
    }

    public function getSuratRwUrl()
    {
        return "/" . self::SURAT_RW_DIR . $this->id;
    }
}
