<?php

namespace App\Services;

use App\Models\Permohonan;
use App\Models\Penduduk;
use App\User;
use Carbon\Carbon;

class PermohonanService
{
    public function __construct()
    {

    }

    public function userHavePermohonan(User $user)
    {
        return !($user->permohonan == NULL);
    }

    public function createPermohonan(User $user)
    {
        if ($user->permohonan != NULL) {
            $user->permohonan->delete();
        }

        $permohonan = new Permohonan();
        $permohonan->user_id = $user->id;
        $permohonan->status = Permohonan::STATUS_NOT_COMPLETED;
        $permohonan->disetujuiRt = 0;
        $permohonan->disetujuiRw = 0;
        
        return $permohonan->save();
    }
    
    public function createPermohonanNIK($nik)
    {
		$permohonan = Permohonan::where('noKtpPria','=',$nik)
						->orWhere('noKtpWanita','=',$nik)
						->first();
						
		if ($permohonan != NULL) {
			$permohonan->delete();
		}
		
		$permohonan = new Permohonan();
        $permohonan->status = Permohonan::STATUS_NOT_COMPLETED;
        $permohonan->disetujuiRt = 0;
        $permohonan->disetujuiRw = 0;
        
        $penduduk = Penduduk::where('id','=',$nik)->first();
        if ($penduduk){
			if ($penduduk->jenis_kelamin=='L'){
				$permohonan->noKtpPria = $penduduk->id;
				$permohonan->namaPria = $penduduk->nama;
			}else{
				$permohonan->noKtpWanita = $penduduk->id;
				$permohonan->namaWanita = $penduduk->nama;
			}
			
		}
		return $permohonan->save();
	}

    public function updatePermohonanNIK($nik, array $data)
    {
		$permohonan = Permohonan::where('noKtpPria','=',$nik)
						->orWhere('noKtpWanita','=',$nik)
						->first();

        if ($permohonan == NULL) {
            return false;
        } else { //TODO tambahkan pengecekan error noKtp
            $permohonan->noKtpPria = $data['noKtpPria'];
            $permohonan->namaPria = $data['namaPria'];
            $permohonan->noKtpWanita = $data['noKtpWanita'];
            $permohonan->namaWanita = $data['namaWanita'];
            $permohonan->tanggal = new Carbon();
            $permohonan->statusPria = Permohonan::$STATUS_STRING[$data['statusPria']];
            $permohonan->istriPriaSebelumnya = $data['istriPriaSebelumnya'];
            $permohonan->statusWanita = Permohonan::$STATUS_STRING[$data['statusWanita']];
            $permohonan->suamiWanitaSebelumnya = $data['suamiWanitaSebelumnya'];
            $permohonan->status = Permohonan::STATUS_PENDING;

            return $permohonan->save();
        }
    }

    public function updatePermohonan(User $user, array $data)
    {
        $user = User::find($user->id);
        $permohonan = $user->permohonan;

        if ($permohonan == NULL) {
            return false;
        } else {
            $permohonan->noKtpPria = $data['noKtpPria'];
            $permohonan->namaPria = $data['namaPria'];
            $permohonan->noKtpWanita = $data['noKtpWanita'];
            $permohonan->namaWanita = $data['namaWanita'];
            $permohonan->tanggal = new Carbon();
            $permohonan->statusPria = Permohonan::$STATUS_STRING[$data['statusPria']];
            $permohonan->istriPriaSebelumnya = $data['istriPriaSebelumnya'];
            $permohonan->statusWanita = Permohonan::$STATUS_STRING[$data['statusWanita']];
            $permohonan->suamiWanitaSebelumnya = $data['suamiWanitaSebelumnya'];
            $permohonan->status = Permohonan::STATUS_PENDING;

            return $permohonan->save();
        }
    }
    
    public function setStatus($id, $status){
        $permohonan = Permohonan::where('id', '=', $id)->first();
        
        if ($permohonan == NULL){
			return false;
		} else {
			$permohonan->status = $status;
			return $permohonan->save();
		}
	}
    
    public function getPermohonan(int $id){
		
	}
}
