<?php

namespace App;

use App\Models\Permohonan;
use Illuminate\Foundation\Auth\User as Authenticatable;
use OwenIt\Auditing\AuditingTrait;

class User extends Authenticatable
{
	use AuditingTrait;
	
    const ROLE_USER = 0;
    const ROLE_PENCATAT = 1;
    const ROLE_ADMIN = 2;

    protected $table = 'users';

    public $timestamps = false;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function permohonan()
    {
        return $this->hasOne(Permohonan::class);
    }
}
