@extends('layouts.base')

@section('title')
  Pencatatan Perkawinan
@endsection

@section('content')
  <div class="col-sm-12">
    @if(sizeof($errorMessages))
      <div class="alert alert-danger">
        Harap betulkan kesalahan pada form
        <ul>
          @foreach($errorMessages as $error)
            <li>{{ $error  }}</li>
          @endforeach
        </ul>
      </div>
    @endif

    <div class="panel panel-default">
      <div class="panel-heading font-bold">
        Form Permohonan
      </div>
      <div class="panel-body">
        <form method="POST">

		  <div class="form-group">
			<label>No. KTP</label>
			<input type="text" class="form-control" name="noAktaNikah" value="{{ $pencatatan->noAktaNikah }}">
		  </div>
              
          <div class="row">
            <div class="col-md-6">
              <h4>Mempelai Pria</h4>

              <div class="form-group">
                <label>No. KTP</label>
                <input type="text" class="form-control" name="noKtpPria" value="{{ $pencatatan->noKtpPria }}">
              </div>

              <div class="form-group">
                <label>Nama Lengkap</label>
                <input type="text" class="form-control" name="namaPria" value="{{ $pencatatan->namaPria }}">
              </div>

              <div class="form-group">
                <label>Status Pernikahan Sebelumnya</label>
                <select class="form-control" name="statusPria" value="{{ $pencatatan->statusPria }}">
                  <option value="0">Belum Pernah Menikah</option>
                  <option value="1">Sudah Pernah Menikah</option>
                </select>
              </div>

              <div class="form-group">
                <label>Nama Istri Sebelumnya</label>
                <input type="text" class="form-control" name="istriPriaSebelumnya" value="{{ $pencatatan->istriPriaSebelumnya }}">
              </div>
            </div>

            <div class="col-md-6">
              <h4>Mempelai Wanita</h4>

              <div class="form-group">
                <label>No. KTP</label>
                <input type="text" class="form-control" name="noKtpWanita" value="{{ $pencatatan->noKtpWanita }}">
              </div>

              <div class="form-group">
                <label>Nama Lengkap</label>
                <input type="text" class="form-control" name="namaWanita" value="{{ $pencatatan->namaWanita }}">
              </div>

              <div class="form-group">
                <label>Status Pernikahan Sebelumnya</label>
                <select class="form-control" name="statusWanita" value="{{ $pencatatan->statusWanita }}">
                  <option value="0">Belum Pernah Menikah</option>
                  <option value="1">Sudah Pernah Menikah</option>
                </select>
              </div>

              <div class="form-group">
                <label>Nama Suami Sebelumnya</label>
                <input type="text" class="form-control" name="suamiWanitaSebelumnya" value="{{ $pencatatan->suamiWanitaSebelumnya }}">
              </div>
            </div>
          </div>

          <button type="submit" class="btn btn-success">Submit</button>
        </form>
      </div>
    </div>
  </div>
@endsection
