@extends('layouts.user_layout')

@section('title')
  Permohonan Pengajuan Catatan Perkawinan
@endsection

@section('content')
  <div class="col-sm-8">
    <div class="panel panel-default">
      <div class="panel-heading font-bold">Permohonan</div>
      <div class="panel-body">
        @if($permohonan == NULL)
          <p>Anda belum mengajukan permohonan pengajuan catatan perkawinan.</p>
          @if($token == NULL)
          <a href="/permohonan/create" class="btn m-b-sm m-r-sm btn-success btn-addon">
            <i class="fa fa-plus"></i>
            Buat Permohonan
          </a>
		  @else
          <a href="/permohonan/create?token={{ $token }}" class="btn m-b-sm m-r-sm btn-success btn-addon">
            <i class="fa fa-plus"></i>
            Buat Permohonan
          </a>
		  @endif
        @elseif($permohonan->status == \App\Models\Permohonan::STATUS_NOT_COMPLETED)
          <div class="col-md-8">
            <p>Anda sudah mengajukan permohonan</p>
            @if($token == NULL)
            <a href="/permohonan/update" class="btn btn-info">
              <i class="fa fa-edit"></i>
              Update Data
            </a>
            @else
            <a href="/permohonan/update?token={{ $token }}" class="btn btn-info">
              <i class="fa fa-edit"></i>
              Update Data
            </a>
            @endif
          </div>
          <div class="col-md-4">
            <span class="label label-danger pull-right">
              Data Belum Lengkap
            </span>
          </div>
        @elseif($permohonan->status == \App\Models\Permohonan::STATUS_PENDING)
          <div class="col-md-8">
            <p>Anda sudah mengisi data, harap tunggu sampai anda dikonfirmasi</p>
            @if($token == NULL)
            <a href="/permohonan/update" class="btn btn-info btn-addon">
              <i class="fa fa-edit"></i>
              Update Data
            </a>
            @else
            <a href="/permohonan/update?token={{ $token }}" class="btn btn-info btn-addon">
              <i class="fa fa-edit"></i>
              Update Data
            </a>
            @endif
          </div>
          <div class="col-md-4">
            <span class="label label-warning pull-right">
              Menunggu Verifikasi
            </span>
          </div>
        @elseif($permohonan->status == \App\Models\Permohonan::STATUS_APPROVED)
          <div class="col-md-8">
            <p>Anda sudah mengisi data dan telah disetujui. Silakan lanjutkan kepada pelangsungan lalu laporan dan interview kepada petugas pencatatan</p>
                <form method="POST">
					<input type="hidden" name="nik_pria" value="{{ $permohonan->noKtpPria }}">
					<input type="hidden" name="nik_wanita" value="{{ $permohonan->noKtpWanita }}">
					<button type="submit" class="btn btn-success" formaction="{{ env('KTPKK_API_URL', '') }}">Teruskan ke aplikasi KTP-KK</button>
				</form>
          </div>
          <div class="col-md-4">
            <span class="label label-warning pull-right">
              Disetujui
            </span>
          </div>
        @endif
      </div>
    </div>


    @if(($permohonan != NULL) && (($permohonan->status == \App\Models\Permohonan::STATUS_NOT_COMPLETED) || ($permohonan->status == \App\Models\Permohonan::STATUS_PENDING)))
      <div class="panel panel-default">
        <div class="panel-heading font-bold">Verifikasi RT / RW</div>
        <div class="panel-body">
          <div class="col-md-12">
            <p>Anda memerlukan konfirmasi data dari RT / RW anda tinggal.</p>

            <h4 style="padding: 10px">
              Persutujuan RT
              @if($permohonan->disetujuiRt == 0)
                <span class="label label-warning" style="margin-left: 20px">Belum Diverifikasi</span>
              @else
                <span class="label label-success" style="margin-left: 20px">Sudah Diverifikasi</span>
              @endif
            </h4>

            <h4 style="padding: 10px">
              Persetujuan RW
              @if($permohonan->disetujuiRw == 0)
                <span class="label label-warning" style="margin-left: 20px">Belum Diverifikasi</span>
              @else
                <span class="label label-success" style="margin-left: 20px">Sudah Diverifikasi</span>
              @endif
            </h4>

            @if(($permohonan->disetujuiRt == 0) || ($permohonan->disetujuiRw == 0))
              <p style="padding-top:20px">Anda juga dapat mengunggah surat rekomendasi dari RT atau RW secara manual juga</p>
              <a href="/permohonan/upload" class="btn btn-info btn-addon">
                <i class="fa fa-upload"></i>
                Unggah surat rekomendasi
              </a>
            @endif
          </div>
        </div>
      </div>
    @endif
  </div>
@endsection
